# optimsimplex_sort

Sorts the simplex.

## Calling Sequence

                opt = optimsimplex_sort(opt)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

## Description

The `optimsimplex_sort` function sorts the simplex with increasing function value order so that the smallest function value is at vertex #1.

## Example

    s1 = optimsimplex_new ();
    simplex = [
    9   1.    2.
    1.    3.    4.
    5.   5.    6.
    ];
    s1 = optimsimplex_setall ( s1 , simplex );
    s1 = optimsimplex_sort ( s1 );
    res = optimsimplex_getall ( s1 );
    disp(res)

    s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_new